Last Comment Bug 682423 - Malformed Feat table in Graphite leads to crash [@graphite2::read16]
: Malformed Feat table in Graphite leads to crash [@graphite2::read16]
Status: RESOLVED FIXED
: crash, testcase
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: fuzzing-fonts 681976
  Show dependency treegraph
 
Reported: 2011-08-26 14:46 PDT by Christoph Diehl [:posidron]
Modified: 2012-05-01 06:50 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (137.38 KB, application/zip)
2011-08-26 14:46 PDT, Christoph Diehl [:posidron]
no flags Details
callstack (16.82 KB, text/plain)
2011-08-26 14:47 PDT, Christoph Diehl [:posidron]
no flags Details

Description Christoph Diehl [:posidron] 2011-08-26 14:46:23 PDT
Created attachment 556135 [details]
testcase
Comment 1 Christoph Diehl [:posidron] 2011-08-26 14:47:13 PDT
Created attachment 556136 [details]
callstack
Comment 2 martin_hosken 2011-08-26 20:22:15 PDT
Thanks. Fix pushed to repo.
Comment 3 Jonathan Kew (:jfkthame) 2011-08-27 13:57:09 PDT
This fix is included in the latest version of the graphite2 code in bug 631479 part 1 (attachment 556272 [details] [diff] [review]).
Comment 4 Jonathan Kew (:jfkthame) 2011-10-05 23:45:22 PDT
Resolving, since this has been fixed upstream (prior to landing any Graphite code in the Mozilla tree).

Note You need to log in before you can comment on or make changes to this bug.